% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/global.R
\name{universal}
\alias{universal}
\title{Wrapper for global()}
\usage{
universal(
  M,
  upper = 0,
  lower = NULL,
  keepzeros = TRUE,
  class = "original",
  narrative = FALSE
)
}
\arguments{
\item{M}{graph: Graph object of class matrix, sparse matrix, igraph, edgelist, or network object.}

\item{upper}{Real, FUN, or NULL: upper threshold value or function that evaluates to an upper threshold value.}

\item{lower}{Real, FUN, or NULL: lower threshold value or function that evaluates to a lower threshold value.}

\item{keepzeros}{Boolean: TRUE if zero-weight edges in \code{M} should be missing in the backbone}

\item{class}{string: the class of the returned backbone graph, one of c("original", "matrix", "sparseMatrix", "igraph", "network", "edgelist").
If "original", the backbone graph returned is of the same class as \code{B}.}

\item{narrative}{Boolean: TRUE if suggested text for a manuscript is to be returned}
}
\description{
Wrapper for global()
}
